﻿/* Success and Error Marks CSS */
.checkmark-circle .checkmark,
.error-circle .crossmark {
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: #fff;
    font-size: 40px;
}

.checkmark-circle .checkmark {
    border: 3px solid #8ae78a;
    color: #8ae78a;
}

.error-circle .crossmark {
    padding-bottom: 8px;
    border: 3px solid #e78a8a;
    color: #e78a8a;
}


/* MSG modal CSS */
.client-corner-wrapper .modal-msg-popup .confirm-btn {
    border: 2px solid #1c96ce;
    color: #1c96ce;
    font-size: 15px;
    font-weight: 700;
    line-height: 30px;
}

    .client-corner-wrapper .modal-msg-popup .confirm-btn:hover {
        background: #1c96ce;
        color: #fff;
        border: 2px solid #1c96ce;
    }

.client-corner-wrapper .modal-msg-popup .msg-modal-wrapper {
    /*    position: fixed;*/
    width: 500px;
    padding: 40px 30px;
}



/* Loader CSS */
.loader-overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    background: rgba(0, 0, 0, .5);
    height: 100%;
    z-index: 99999
}

.loader,
.loader:after,
.loader:before {
    border-radius: 100%;
    width: 2.5em;
    height: 2.5em;
    animation-fill-mode: both;
    animation: load7 1.8s infinite ease-in-out
}

.loader {
    color: #fff;
    font-size: 8px;
    margin: auto;
    top: calc(50% - 12px);
    position: relative;
    text-indent: -9999em;
    transform: translateZ(0);
    animation-delay: -.16s
}

    .loader:after,
    .loader:before {
        content: "";
        position: absolute;
        top: 0
    }

    .loader:before {
        left: -3.5em;
        animation-delay: -.32s
    }

    .loader:after {
        left: 3.5em
    }

@keyframes load7 {

    0%, 80%, to {
        box-shadow: 0 2.5em 0 -1.3em
    }

    40% {
        box-shadow: 0 2.5em 0 0
    }
}


/* Button styles */
/*.client-corner-wrapper .btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-weight: 600;
    text-decoration: none;
    cursor: pointer;
    outline: 0;
    box-sizing: border-box;
    border: 1px solid;
    border-radius: 99999px;
    transition: all .2s ease-in-out;
    box-shadow: 0 1px 2px 0 rgba(0, 84, 163, .05);
}*/

.client-corner-wrapper .modal-msg-popup .btn.blue {
    background: #0054a3 !important;
    border-color: #0054a3 !important;
    color: #fff !important;
    width: 150px;
}

.client-corner-wrapper .forgot-modal-popup .modal-content-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.client-corner-wrapper .modal-msg-popup .modal-content-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}


/* Initially hide the dropdown */
.client-corner-dropdown {
    display: none;
    /* Hidden initially */
}

    /* Show the dropdown when the 'open' class is added */
    .client-corner-dropdown.open {
        display: block;
        /* Show the dropdown when 'open' is appended */
    }

/* Success and Error Marks CSS */
.checkmark-circle .checkmark,
.error-circle .crossmark {
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: #fff;
    font-size: 40px;
    margin-bottom: 10px;
}

.checkmark-circle .checkmark {
    border: 3px solid #8ae78a;
    color: #8ae78a;
}

.error-circle .crossmark {
    padding-bottom: 5px;
    border: 3px solid #e78a8a;
    color: #e78a8a;
}


/* MSG modal CSS */
.client-corner-wrapper .modal-msg-popup .confirm-btn {
    border: 2px solid #1c96ce;
    color: #1c96ce;
    font-size: 15px;
    font-weight: 700;
    line-height: 30px;
}

.client-corner-wrapper .forgot-modal-popup .new-custom-btn.blue {
    background: #0054a3 !important;
    border-color: #0054a3 !important;
    color: #fff !important;
    width: 150px;
    text-decoration: none;
    margin-right: 0px !important;
}

.client-corner-wrapper .modal-msg-popup .confirm-btn:hover {
    background: #1c96ce;
    color: #fff;
    border: 2px solid #1c96ce;
}

.client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper {
    width: 525px !important;
}

@media(min-width:768px) {
    .client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper {
        max-width: 100% !important;
    }
}

.client-corner-wrapper .modal-msg-popup .msg-modal-heading {
    font-weight: 500 !important;
    margin-bottom: 10px;
}

@media(min-width:768px) {
    .client-corner-wrapper .modal-msg-popup .msg-modal-wrapper {
        max-width: 100% !important
    }
}



/* Loader CSS */
.loader-overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    background: rgba(0, 0, 0, .5);
    height: 100%;
    z-index: 99999
}

.loader,
.loader:after,
.loader:before {
    border-radius: 100%;
    width: 2.5em;
    height: 2.5em;
    animation-fill-mode: both;
    animation: load7 1.8s infinite ease-in-out
}

.loader {
    color: #fff;
    font-size: 8px;
    margin: auto;
    top: calc(50% - 12px);
    position: relative;
    text-indent: -9999em;
    transform: translateZ(0);
    animation-delay: -.16s
}

    .loader:after,
    .loader:before {
        content: "";
        position: absolute;
        top: 0
    }

    .loader:before {
        left: -3.5em;
        animation-delay: -.32s
    }

    .loader:after {
        left: 3.5em
    }

@keyframes load7 {

    0%, 80%, to {
        box-shadow: 0 2.5em 0 -1.3em
    }

    40% {
        box-shadow: 0 2.5em 0 0
    }
}


/* Button styles */
/*.client-corner-wrapper .btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-weight: 600;
    text-decoration: none;
    cursor: pointer;
    outline: 0;
    box-sizing: border-box;
    border: 1px solid;
    border-radius: 99999px;
    transition: all .2s ease-in-out;
    box-shadow: 0 1px 2px 0 rgba(0, 84, 163, .05);
}*/

/*.client-corner-wrapper .modal-msg-popup .btn.blue {
    background: #0054a3 !important;
    border-color: #0054a3 !important;
    color: #fff !important;
    width: 150px;
}*/
    .client-corner-wrapper .grid-buttons a {
        max-width: 100% !important;
    }

    .client-corner-wrapper .grid-buttons .primary {
        left: inherit !important;
    }

.client-corner-wrapper .single-grid-btn {
    .client-corner-wrapper .single-grid-btn display: flex !important;
    justify-content: center;
}

    .client-corner-wrapper .single-grid-btn .btn {
        width: 100% !important;
        max-width: 270px !important;
    }
/*05-12-2024 */



.client-corner-wrapper .forgot-modal-popup {
    display: flex;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .2);
    border-radius: .3rem;
    outline: 0;
    overflow-x: hidden;
}

    .client-corner-wrapper .forgot-modal-popup.is-visible .msg-modal-transition {
        transform: translateY(50%);
    }

.client-corner-wrapper .msg-modal.forgot-modal-popup.is-visible .msg-modal-transition {
    transform: translateY(0) !important;
}

@media (min-width: 576px) {
    .client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper {
        max-width: 500px;
    }
}

.client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper {
    padding: 40px 30px;
    position: fixed;
}

@media (max-width: 1024px) {
    .client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper {
        padding: 20px 40px;
    }
}

@media (max-width: 767px) {
    .client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper {
        padding: 10px;
    }
}

.client-corner-wrapper .forgot-modal-popup .msg-modal-body {
    padding: 1rem;
}

/*close button */
.client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper .close {
    position: absolute;
    top: -10px;
    right: 0;
    width: 50px;
    height: 50px;
    padding: 0;
    background-color: transparent;
    border: 0;
    font-weight: 400;
    font-size: 40px;
    color: #000;
    opacity: 0.5;
}

@media (min-width: 767px) {
    .client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper .close {
        width: 36px;
        height: 36px;
        right: 10px;
    }
}

.client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper .close:hover {
    animation: close 1s ease;
    animation-iteration-count: 1;
    color: #000;
    text-decoration: none;
    opacity: .75;
}

.client-corner-wrapper .forgot-modal-popup .msg-modal-wrapper .close {
    transition: all .3s ease
}

@keyframes close {
    15% {
        transform: translateX(5px)
    }

    30% {
        transform: translateX(-5px)
    }

    50% {
        transform: translateX(3px)
    }

    65% {
        transform: translateX(-3px)
    }

    80% {
        transform: translateX(2px)
    }

    to {
        transform: translateX(0)
    }
}

/* modal text-wrapper */
.client-corner-wrapper .forgot-modal-popup h4 {
    font-weight: 700 !important;
    font-size: 32px !important;
    margin-bottom: 30px;
}

@media (max-width: 767px) {
    .client-corner-wrapper .forgot-modal-popup h4 {
        text-align: center;
    }
}

@media (max-width: 1024px) {
    .client-corner-wrapper .forgot-modal-popup h4 {
        font-size: 28px;
    }
}

.client-corner-wrapper .forgot-modal-popup h4 {
    font-size: 31px;
    font-weight: 400;
}

.client-corner-wrapper .forgot-modal-popup p {
    padding-bottom: 60px;
    font-size: 20px;
    color: #3b3b3b !important;
}

@media (max-width: 767px) {
    .client-corner-wrapper .forgot-modal-popup p {
        font-size: 16px;
        margin-bottom: 16px;
    }
}

@media (max-width: 1024px) {
    .client-corner-wrapper.forgot-modal-popup p {
        padding-bottom: 30px;
        font-size: 18px;
    }
}

/* Button */
.client-corner-wrapper .forgot-modal-popup .btns-group {
    margin-bottom: 10px;
}

.client-corner-wrapper .forgot-modal-popup .new-custom-btn {
    min-width: 170px;
    background: #0054a3 !important;
    border-color: #0054a3 !important;
    display: inline-block;
    color: #fff !important;
    font-size: 24px;
    font-weight: 700;
    text-align: center;
    padding: 14px 20px;
    text-transform: uppercase;
    border-radius: 60px;
    margin-right: 20px;
    transition: all .3s ease;
    text-decoration: none;
}

@media (max-width: 767px) {
    .client-corner-wrapper .forgot-modal-popup .new-custom-btn.medium-btn {
        padding: 8px 12px;
        font-size: 14px;
        min-width: 130px;
    }
}

@media (max-width: 1024px) {
    .new-custom-btn.large-btn {
        min-width: 150px;
        font-weight: 500;
    }
}

.client-corner-wrapper .forgot-modal-popup .new-custom-btn.medium-btn {
    min-width: 175px;
    padding: 12px 20px;
    font-size: 18px;
    cursor: pointer;
}

@media (max-width: 1024px) {
    .new-custom-btn.large-btn {
        min-width: 150px;
        font-weight: 500;
    }
}

.client-corner-wrapper .new-custom-btn.large-btn {
    min-width: 234px;
    font-weight: 700;
}

.client-corner-wrapper .new-custom-btn:last-child {
    margin-right: 0;
}

@media (max-width: 1024px) {
    .new-custom-btn {
        padding: 10px 16px;
        font-size: 16px;
        margin-right: 10px;
    }
}

@media (max-width: 1024px) {
    .new-custom-btn {
        min-width: 130px;
        font-weight: 500;
    }
}


.text-success {
    color: #0054a3 !important;
}

.text-error {
    color: #e78a8a !important;
}


/* 10-12-2024 */
.client-corner-wrapper .msg-modal .msg-modal-wrapper {
    margin: auto !important;
}

.client-corner-wrapper .forgot-modal-popup {
    z-index: 999999;
}

/*custom css 07/05/2025*/

/*.mfaActionreq-sec .mfasetup-btn {
    left: auto !important;
}*/

/*.mfaActionreq-sec .icon-wrap,.mfaActionreq-sec h1,.mfaActionreq-sec .p3{
    margin-bottom:20px !important;
}*/

.mfaActionreq-sec .icon:not(.file) {
    width: 64px;
    height: 64px;
    background-color: #0054a3 !important;
    mask-size: contain !important;
}
.mfaActionreq-sec .btn{
    width:auto !important;
}

@media(max-width:820px) {
    .mfaActionreq-sec .icon:not(.file) {
        width: 40px;
        height: 40px;
    }
}

.m-20{
    margin-bottom:20px !important;
}

#mfaVerifyEmail .flex-auto-cols .input-wrap{
    width:100%;
}